Subject: Re: [patch net-next] cxgb3: update firmware version

From: Rick Jones <[email-masked]>
Date: Tue, 14 Feb 2012 10:17:27 -0800

What does an end-user/customer see and do?  When they are told that 
version the firmware, specified down to the fix level, fixes a problem 
they are having, how will they know that firmware blob filename 
drvfw-X.bin on a download/archive site has that fix?  Yes, the support 
folks can say "It is the drcfw-X.bin file which is 12345 bytes in size 
with the MD5sum of <blah> but the principle of the telephone game 
dictates the size and/or MD5sum information will drop as "the word" 
passes from one person to another. And one cannot run 
ethtool_ops::get_drvinfo against a website.  Two versions may indeed be 
"compatible" in terms of interfaces, but they won't be identical in 
terms of desirability.  As such, for them to be contained in files with 
identical names just seems like asking for confusion.

Firmware is something of a tiny kernel no?  Would we have everyone name 
vmlinux files with just a major number?

rick jones